export interface PtAccountVO {
  accountId: string | number;
  /**
   * 结算账户名称
   */
  accountName: string;

  /**
   * 结算账户代码
   */
  accountCode: string;

  /**
   * 联系电话
   */
  telephone: string;

  /**
   * 银行卡号
   */
  bankNumber: string;

  /**
   * 账户状态,见sys_normal_disable字典类别
   */
  status: string;

  /**
   * 管理员姓名
   */
  adminName: string;

  /**
   * 证件编号
   */
  idNumber: string | number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建时间
   */
  createTime: string;

}

export interface PtAccountForm extends BaseEntity {
  /**
   * 结算账户Id,主键
   */
  accountId?: string | number;

  /**
   * 结算账户名称
   */
  accountName?: string;

  /**
   * 结算账户代码
   */
  accountCode?: string;

  /**
   * 账户查询密码
   */
  queryPwd?: string;

  /**
   * 联系电话
   */
  telephone?: string;

  /**
   * 银行卡号
   */
  bankNumber?: string;

  /**
   * 账户状态,见sys_normal_disable字典类别
   */
  status?: string;

  /**
   * 管理员姓名
   */
  adminName?: string;

  /**
   * 证件编号
   */
  idNumber?: string | number;

  /**
   * 备注
   */
  remark?: string;

}

export interface PtAccountQuery extends PageQuery {

  /**
   * 结算账户名称
   */
  accountName?: string;

  /**
   * 结算账户代码
   */
  accountCode?: string;

  /**
   * 联系电话
   */
  telephone?: string;

  /**
   * 银行卡号
   */
  bankNumber?: string;

  /**
   * 账户状态,见sys_normal_disable字典类别
   */
  status?: string;

  /**
   * 管理员姓名
   */
  adminName?: string;

  /**
   * 证件编号
   */
  idNumber?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



